import { useRef, useState, useEffect } from 'react';

function useCaretPosition() {
    var node = useRef(null);
    var _a = useState(0), start = _a[0], setStart = _a[1];
    var _b = useState(0), end = _b[0], setEnd = _b[1];
    var updateCaret = function () {
        // Get the updated caret postions from the ref passed in
        if (node && node.current) {
            var selectionStart = node.current.selectionStart;
            var selectionEnd = node.current.selectionEnd;
            // Update the state
            setStart(selectionStart);
            setEnd(selectionEnd);
        }
    };
    useEffect(function () {
        // Set the caret position by setting the selection range with the
        // most current start and end values
        if (node && node.current && start && end) {
            node.current.setSelectionRange(start, end);
        }
    });
    return { start: start, end: end, ref: node, updateCaret: updateCaret };
}

export { useCaretPosition };
//# sourceMappingURL=index.es.js.map
