'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

function useCaretPosition() {
    var node = react.useRef(null);
    var _a = react.useState(0), start = _a[0], setStart = _a[1];
    var _b = react.useState(0), end = _b[0], setEnd = _b[1];
    var updateCaret = function () {
        // Get the updated caret postions from the ref passed in
        if (node && node.current) {
            var selectionStart = node.current.selectionStart;
            var selectionEnd = node.current.selectionEnd;
            // Update the state
            setStart(selectionStart);
            setEnd(selectionEnd);
        }
    };
    react.useEffect(function () {
        // Set the caret position by setting the selection range with the
        // most current start and end values
        if (node && node.current && start && end) {
            node.current.setSelectionRange(start, end);
        }
    });
    return { start: start, end: end, ref: node, updateCaret: updateCaret };
}

exports.useCaretPosition = useCaretPosition;
//# sourceMappingURL=index.js.map
